package.path=package.path..";C:\\Users\\micro\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- jtruk
package.path=package.path..";C:\\Users\\Ronan\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- Mantratronic

local R={}
require("./sys/sys")(R)
require("./sys/math")(R)

T=0
function TIC()
	R.tryBreak()
    cls()
	
    local unitT=(T%240)/240

    print(string.format("Unit time: %.2f", unitT),0,0,12)

    local x=R.lerp(unitT,20,220)
    pix(x,20,12)

    for i=0,10 do
        local x=R.qBezier(unitT,20,20+i*20,220)
        pix(x,30+i*2,i)
    end

    for i=0,10 do
        local x=R.cBezier(unitT,20,20+i*10,220-i*10,220)
        local y=100+i*2
        pix(x,y,i)
    end

    T=T+1
end

-- <PALETTE>
-- 000:1a1c2c5d275db13e53ef7d57ffcd75a7f07038b76425717929366f3b5dc941a6f673eff7f4f4f494b0c2566c86333c57
-- </PALETTE>
